<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.ruoyi</groupId>
    <artifactId>ruoyi-component</artifactId>
    <version>${revision}</version>
  </parent>
  <artifactId>ruoyi-component-mybatis</artifactId>
  <packaging>jar</packaging>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>

  <dependencies>
    <!-- RuoYi Common Core-->
    <dependency>
      <groupId>com.ruoyi</groupId>
      <artifactId>ruoyi-component-core</artifactId>
    </dependency>
    <dependency>
      <groupId>com.ruoyi</groupId>
      <artifactId>ruoyi-component-satoken</artifactId>
    </dependency>
    <dependency>
      <groupId>com.baomidou</groupId>
      <artifactId>mybatis-plus-boot-starter</artifactId>
    </dependency>
    <!-- dynamic-datasource 多数据源-->
    <dependency>
      <groupId>com.baomidou</groupId>
      <artifactId>dynamic-datasource-spring-boot-starter</artifactId>
    </dependency>
    <!-- sql性能分析插件 -->
    <dependency>
      <groupId>p6spy</groupId>
      <artifactId>p6spy</artifactId>
    </dependency>
  </dependencies>
</project>
